# SafetySignalDetection.jl

This package implements Bayesian safety signal detection as proposed by [Brock et al. (2023)](https://doi.org/10.1002/pst.2278) using the [Turing.jl](https://github.com/TuringLang/Turing.jl) framework. 

## Installation

Install this package with:

```julia
using Pkg
Pkg.add("SafetySignalDetection")
```

## Getting started

Please have a look at the [Introduction](https://openpharma.github.io/SafetySignalDetection.jl/dev/introduction/#Introduction) vignette to get started.

## API

Please have a look at the [API](https://openpharma.github.io/SafetySignalDetection.jl/dev/#API) documentation.

## Developer tipps

### Workflows

Testing the package:

```
julia> ] # Go to the package mode
(v1.10) pkg> activate .
(SafetySignalDetection) pkg> test
```

Local rendering of the documentation:

- Install [`LiveServer`](https://github.com/tlienart/LiveServer.jl) in your global environment. 
- Install your local package (`pkg> add /path/to/package`)

Afterwards each time:

```
(v1.10) pkg> activate docs # Backspace to come back to julia mode
julia> using SafetySignalDetection, LiveServer
julia> servedocs()
```

Then click on the local website link.
When you modify the documentation, the server automatically recompiles the docs and updates the local website.

### Helpful links

- Developing Julia Packages: https://julialang.org/contribute/developing_package/
- Examples for testing Turing models: https://github.com/TuringLang/Turing.jl/blob/master/test/mcmc/hmc.jl
