using Documenter
using SafetySignalDetection
using DocumenterCitations

bib = CitationBibliography(
    joinpath(@__DIR__, "src", "refs.bib"); 
    style = :authoryear
)

module_dir = pkgdir(SafetySignalDetection)
gh = Remotes.GitHub("openpharma", "SafetySignalDetection.jl")
remotes = Dict(module_dir => (gh, "ff9de39"))

makedocs(
    sitename = "SafetySignalDetection",
    format = Documenter.HTML(
        assets = String["assets/citations.css"],
        size_threshold = nothing
    ),
    modules = [SafetySignalDetection],
    pages = [
        "Home" => "index.md",
        "Introduction" => "introduction.md"
    ];
    plugins = [bib],
    remotes = remotes
)

# Documenter can also automatically deploy documentation to gh-pages.
# See "Hosting Documentation" and deploydocs() in the Documenter manual
# for more information.
deploydocs(
    repo = "https://github.com/openpharma/SafetySignalDetection.jl.git",
    push_preview = true
)
